be.ehealth.businessconnector.mycarenet.attest.builders.impl

## Class ResponseObjectBuilderImpl

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.attest.builders.impl.ResponseObjectBuilderImpl

- All Implemented Interfaces:
    ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class ResponseObjectBuilderImpl
      extends Object
      implements ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

  Implementation for the `ResponseObjectBuilder` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseObjectBuilderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `AttestBuilderResponse` | `handleSendResponseType(SendResponseType sendResponse)` Handles the response of the WS, checks the Xades and decode the content to create a `AttestBuilderResponse` object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseObjectBuilderImpl

          public ResponseObjectBuilderImpl()

  - ### Method Detail

    - #### handleSendResponseType

          public final AttestBuilderResponse handleSendResponseType(SendResponseType sendResponse)
                                                             throws TechnicalConnectorException,
                                                                    UnsupportedEncodingException

      Description copied from interface: `ResponseObjectBuilder`
      Handles the response of the WS, checks the Xades and decode the content to create a `AttestBuilderResponse` object.
      Specified by:
        `handleSendResponseType` in interface `ResponseObjectBuilder`
      Parameters:
        `sendResponse` - the response sent by the WS
      Returns:
        the response object built from the response of the WS, with a valid Xades and a decoded content
      Throws:
        `TechnicalConnectorException`
        `UnsupportedEncodingException`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PERSPHYSICIAN 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.